Description

Supportanfrage

class adtf_file::Reader in adtf_file_reader.h does not provide any method to get the current position of reader. (ie., no method
equivalent to GetCurrentBlockPos() in adtf streaming library). It would be nice if this is supported directly by adtf_file::Reader class.

Is there any way to get the information?

Does adtf file library improves performance of random reading (through seekTo() method) compared with Seek method() of adtf
streaming library for adtf2 files?

Lésung
no, there is currently no possibility to retrieve the current position. I've create a ticket for it: CDIFHD-70.
Altough the performance of adtf_file has greatly improved to the ADTF Streaming Library, random seeking will not be much faster, as

this always requires a lookup via the chunk index table to jump to the nearest indexed chunk and then a search to the actual
requested block.

History

#1 - 2019-07-18 07:32 - hidden
- Status changed from New to In Progress

- Topic set to FileLibrary::Reader

#2 - 2019-07-23 10:40 - hidden

- Product Issue Numbers set to CDIFHD-70

Hi,

no, there is currently no possibility to retrieve the current position. I've create a ticket for it: CDIFHD-70.

Altough the performance of adtf_file has greatly improved to the ADTF Streaming Library, random seeking will not be much faster, as this always
requires a lookup via the chunk index table to jump to the nearest indexed chunk and then a search to the actual requested block.

Regards,

Martin

#3 - 2019-07-24 18:24 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from In Progress to To Be Closed
- Private changed from Yes to No

- Resolution set to Product Issue Opened

2024-04-09 1/2




- Product Issue Numbers changed from CDIFHD-70 to https://www.cip.audi.de/jira/browse/CDIFHD-70
- Support Level changed from 2nd Level to 3rd Level

#4 - 2019-08-08 18:16 - hidden
- Status changed from To Be Closed to Closed
